module OrientDb
  module LearningObject
    class PublisherRelation < Relation

      def can_create?
        !@learning_object.publisher.nil? && !edge_exists?("PublishedBy", @learning_object.id, @learning_object.publisher.id)
      end

      protected

      def execute
        create_edge("PublishedBy", @learning_object.id, @learning_object.publisher.id)
      end

    end
  end
end